Subject: Re: [6lo] Stephen Farrell's No Objection on draft-ietf-6lo-6lobac-06: (with COMMENT)

From: Kerry Lynn <[email-masked]>
Date: Tue, 28 Feb 2017 17:55:35 -0500

Hi Stephen,

Thanks for your review.  Comments inline...

On Wed, Nov 30, 2016 at 3:30 AM, Stephen Farrell <[email-masked]>
wrote:

> Stephen Farrell has entered the following ballot position for
> draft-ietf-6lo-6lobac-06: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-6lo-6lobac/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
>
> - 1.3: "cost effective" and similar marketing language is
> better avoided. I'd say deleting that sentence is better.
>
> Done.

> - section 5: It's not clear to me why the 115k data rate
> "dictates" header compression to reduce latency. I'm not
> doubting that it might, but it's not clear from what's
> stated that it does.
>
> <kel>
Removed.  The I-D now requires header compression without
rationale, though it's mentioned in passing that header compression
improves link utilization.
</kel>

> - Appendices B/C: I'm not clear how these are not part of
> the standard. I think what you mean is that the code is
> not, but the algorithms in fact are in fact necessary to
> implement this. (I also agree with Alia's suggestion to add
> the IETF trust <CODE BEGINS> stuff, assuming that's not
> problematic.)
>

<kel>
I failed to communicate to reviewers outside of 6lo wg that I can
provide a copy of [BACnet] Clause 9, if requested.

The I-D by itself is not sufficient to implement 6LoBAC; one
would have to acquire the BACnet standard.  However, I've
tried to summarize enough of the standard so that a reader of
the I-D can at least understand the complete packet format
without needing the standard.  The information in the Appendices
is for that purpose.
</kel>

Thanks again, Kerry